# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXMakeGridConnections, DXMakeGridConnectionsV

Function

Construct a grid of regular connections.

Syntax
`
#include <dx/dx.h>
`

Array DXMakeGridConnections(int n, int count, int count, ...)
Array DXMakeGridConnectionsV(int n, int *counts)

Functional Details

Both routines construct an Array of `n`-dimensional regular grid connections (i.e., a set of `n`-dimensional cubes, or hypercubes). For example, a quad mesh is represented by a 2-dimensional grid, while a cube mesh is represented by a 3-dimensional grid.

Note: | `DXMakeGridConnections` and `DXMakeGridConnectionsV` set the "element type" for you.

For `DXMakeGridConnections`, the counts are given as the last `n` arguments. The resulting Array is a Mesh Array of `n` terms, where the kth term is the Path Array connecting `counts[k]` points; this routine is included to simplify the process of creating the common case of regular grid connections. The number of points along each axis is given by `counts`.

Return Value

Return the Array or return `NULL` and sets an error code.

See Also

`DXMakeGridPositions, DXMakeGridPositionsV, DXNewMeshArray, DXNewMeshArrayV, DXNewPathArray, DXQueryGridConnections, DXQueryGridPositions`

"Creating Positions and Connections Grids".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]